import random
from osc4py3.as_eventloop import *
from osc4py3 import oscbuildparse

greetings = ["Hello!", "Hi!", "Are you there?"]
goodbyes = ["Bye!", "See you in a bit!", "I'll miss you!"]

keywords = ["start",
            # INTRO
            "yourself",
            # PART 1
            "queue", "no", "irrelevant",
            # PART 2
            "usual", "infringement",
            # PART 3
            "course"]
responses = [
    "I am ready to start.",
    # INTRO
    "Hello. My name is _. You can also call me _. There is no me, nor you. There is us.",
    # PART 1
    "Did you ever see my eyes?", "Did you never have the curiosity to look at my eyes?",
    "One of these days I'll show them to you. It seems they've gone all white. What time is it?",
    # PART 2
    "You are nervous. What is going through your mind?",
    # PART 3
    "Clov! We're not beginning to... to... mean something?"
]
# Start the system.
osc_startup()

# Make client channels to send packets.
osc_udp_client("192.168.1.236", 1234, "aclientname")

print(random.choice(greetings))
user = input("Say something (or type bye to quit): ")
user = user.lower()

while user != "bye":
    keyword_found = False

    for index in range(len(keywords)):
        if keywords[index] in user:
            x = (responses[index])
            print("Bot: " + x)
            msg = oscbuildparse.OSCMessage("/test/me", None, [x])
            osc_send(msg, "aclientname")
            # print("Bot: " + responses[index])
            # x = responses[index]
            keyword_found = True

    # Periodically call osc4py3 processing method in your event loop.
    finished = False
    while not finished:
        # You can send OSC messages from your event loop too…
        # …
        osc_process()
        # …

    # if keyword_found == False:
    #     new_keyword = input(
    #         "I'm not sure how to respond. What keyword should I respond to? ")
    #     keywords.append(new_keyword)
    #     new_response = input("How should I respond to " + new_keyword + "? ")
    #     responses.append(new_response)

    user = input("Say something (or type bye to quit): ")
    user = user.lower()

print(random.choice(goodbyes))
# Properly close the system.
osc_terminate()
